# Record Class CMKeyStoreEntryKey

java.lang.Object
java.lang.Record
com.io7m.canonmill.core.internal.CMKeyStoreEntryKey

Record Components:
  `alias` - The alias
  `file` - The file
  `privateKey` - The private key
  `creationTime` - The creation time

All Implemented Interfaces:
  `CMKeyStoreEntryType`

public record CMKeyStoreEntryKey(String alias, Path file, PrivateKey privateKey, OffsetDateTime creationTime) extends Record implements CMKeyStoreEntryType
A keystore entry for a private key.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CMKeyStoreEntryKey(String alias, Path file, PrivateKey privateKey, OffsetDateTime creationTime)`
  A keystore entry for a private key.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `alias()`
  Returns the value of the `alias` record component.
  `OffsetDateTime`
  `creationTime()`
  Returns the value of the `creationTime` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `Path`
  `file()`
  Returns the value of the `file` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `PrivateKey`
  `privateKey()`
  Returns the value of the `privateKey` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CMKeyStoreEntryKey

    public CMKeyStoreEntryKey(String alias, Path file, PrivateKey privateKey, OffsetDateTime creationTime)
    A keystore entry for a private key.
    Parameters:
      `alias` - The alias
      `file` - The file
      `privateKey` - The private key
      `creationTime` - The creation time

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### alias

    public String alias()
    Returns the value of the `alias` record component.
    Specified by:
      `alias` in interface `CMKeyStoreEntryType`
    Returns:
      the value of the `alias` record component

  - ### file

    public Path file()
    Returns the value of the `file` record component.
    Returns:
      the value of the `file` record component

  - ### privateKey

    public PrivateKey privateKey()
    Returns the value of the `privateKey` record component.
    Returns:
      the value of the `privateKey` record component

  - ### creationTime

    public OffsetDateTime creationTime()
    Returns the value of the `creationTime` record component.
    Specified by:
      `creationTime` in interface `CMKeyStoreEntryType`
    Returns:
      the value of the `creationTime` record component